Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.gen
Class EPPHello

    java.lang.Object
      com.verisign.epp.codec.gen.EPPHello

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPHello

extends java.lang.Object
implements EPPMessage

Represents an EPP hello request that is sent by an EPP Client and received by an EPP Server. EPP MAY be carried over both connection-oriented and connection-less transport protocols. An EPP client MAY request a <greeting> from an EPP server at any time by sending a <hello> to a server. Use of this element is essential in a connection-less environment where a server can not return a <greeting> in response to a client-initiated connection. An EPP <hello> SHALL be an empty element with no child elements.
An `EPPHello` can be encoded and decoded by `EPPCodec`.
An `EPPHello` request should result in the EPP Server sending back an `EPPGreeting`.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $
See Also:
  `EPPGreeting`, Serialized Form

Constructor Summary
`EPPHello()` Allocates a new `EPPHello`.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPHello`.
`void` | `decode(org.w3c.dom.Element aElement)` decode `EPPHello` from a DOM element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode `EPPHello` into a DOM element tree.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPHello` compare.
`java.lang.String` | `getNamespace()` Gets the associated EPP namespace.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPHello

    public EPPHello()

  Allocates a new `EPPHello`. `EPPHello` contains no attributes.

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Gets the associated EPP namespace. The general EPP namespace is returned, which is defined as `EPPCodec.NS`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Returns:
    namespace URI

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  encode `EPPHello` into a DOM element tree. The <hello> element is created and returned.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOCUMENT ME!
  Returns:
    <hello> root element tree.
  Throws:
    `EPPEncodeException` - Error encoding the DOM element tree.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  decode `EPPHello` from a DOM element tree. The "hello" element needs to be the value of the `aElement` argument. Since `EPPHello` contains no attribute, no attributes need to be set the `decode`.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - <hello> root element tree.
  Throws:
    `EPPDecodeException` - Error decoding the DOM element tree.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPHello` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPHello` instance to compare with
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPHello`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPHello`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.